CxfWsdlConnector (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.cxf.wsdl.CxfWsdlConnector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf.wsdl
Class CxfWsdlConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.cxf.CxfConnector
              org.mule.transport.cxf.wsdl.CxfWsdlConnector

All Implemented Interfaces:
  ExceptionListener, EventListener, javax.resource.spi.work.WorkListener, MuleContextAware, MuleContextNotificationListener, ServerNotificationListener, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Connectable, Connector

    public class CxfWsdlConnector

extends CxfConnector

TODO document

Field Summary

Fields inherited from class org.mule.transport.cxf.CxfConnector
`BUS_PROPERTY, CONFIGURATION_LOCATION, CXF, CXF_SERVICE_COMPONENT_NAME, DEFAULT_MULE_NAMESPACE_URI`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatchers, disposed, exceptionListener, initialised, logger, muleContext, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, started, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`CxfWsdlConnector()`

Method Summary
`String` | `getProtocol()`
`protected void` | `registerProtocols()`

Methods inherited from class org.mule.transport.cxf.CxfConnector
`doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, getConfigurationLocation, getCxfBus, getDefaultFrontend, getReceiverKey, getServer, isInitializeStaticBusInstance, isSyncEnabled, onNotification, registerReceiverWithMuleService, setConfigurationLocation, setCxfBus, setDefaultFrontend, setInitializeStaticBusInstance, supportsProtocol`

Methods inherited from class org.mule.transport.AbstractConnector
`checkDisposed, connect, createReceiver, destroyReceiver, disconnect, dispatch, dispose, disposeDispatchers, disposeReceivers, disposeRequesters, disposeWorkManagers, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getExceptionListener, getMaxDispatchersActive, getMaxRequestersActive, getMessageAdapter, getMuleContext, getName, getNumberOfConcurrentTransactedReceivers, getOutputStream, getReceiver, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isResponseEnabled, isStarted, isValidateConnections, lookupReceiver, registerListener, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, send, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherThreadingProfile, setDynamicNotification, setExceptionListener, setMaxDispatchersActive, setMaxRequestersActive, setMuleContext, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, start, stop, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CxfWsdlConnector

    public CxfWsdlConnector()

Method Detail

### registerProtocols

    protected void registerProtocols()

  Overrides:
    `registerProtocols` in class `CxfConnector`

### getProtocol

    public String getProtocol()

  Specified by:
    `getProtocol` in interface `Connector`
  Overrides:
    `getProtocol` in class `CxfConnector`
  Returns:
    the primary protocol name for endpoints of this connector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.